org.apache.poi.hssf.record.aggregates

## Class DataValidityTable

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.aggregates.RecordAggregate
    - - org.apache.poi.hssf.record.aggregates.DataValidityTable

-     public final class DataValidityTable
      extends RecordAggregate

  Manages the DVALRecord and DVRecords for a single sheet

  See OOO excelfileformat.pdf section 4.14

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate

      `RecordAggregate.PositionTrackingVisitor, RecordAggregate.RecordVisitor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataValidityTable()`
    `DataValidityTable(RecordStream rs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDataValidation(DVRecord dvRecord)`
    `void` | `visitContainedRecords(RecordAggregate.RecordVisitor rv)` Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file.

    - ### Methods inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate

      `getRecordSize, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataValidityTable

          public DataValidityTable(RecordStream rs)

    - #### DataValidityTable

          public DataValidityTable()

  - ### Method Detail

    - #### visitContainedRecords

          public void visitContainedRecords(RecordAggregate.RecordVisitor rv)

      Description copied from class: `RecordAggregate`
      Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file. Implementors may or may not return the actual `Record`s being used to manage POI's internal implementation. Callers should not assume either way, and therefore only attempt to modify those `Record`s after cloning
      Specified by:
        `visitContainedRecords` in class `RecordAggregate`
      Parameters:
        `rv` - The visitor to use for callbacks while walking this object

    - #### addDataValidation

          public void addDataValidation(DVRecord dvRecord)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.